<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Social Engineering|Campaign Components|Web Page">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="Learn how to clone a web page." /><title>Cloning an Existing Web Page</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#11-social-engineering/cloning-existing-web-page.html">Open topic with navigation</a>
        </p>
        <h3>Cloning an Existing Web Page</h3>
        <ol data-mc-continue="true">
            <li value="1">From within a project, click the <b class="UISelection">Campaigns </b>tab.</li>
        </ol>
        <p>
            <img src="../Resources/Images/se/se-campaigns-tab.png" title="Campaigns Tab" alt="Campaigns Tab" />
        </p>
        <ol data-mc-continue="true">
            <li value="2">When the Manage Campaigns area appears, open an existing campaign or configure a new campaign. Verify that the campaign uses the Custom setup. </li>
        </ol>
        <p>
            <img src="../Resources/Images/se/se-custom-setup.png" title="Custom Campaign " alt="Custom Campaign " /> <![CDATA[
]]></p>
        <ol data-mc-continue="true">
            <li value="3">Click the <b class="UISelection">Add e-mail, web page, or portable file</b> button. </li>
        </ol>
        <p>
            <img src="../Resources/Images/SE_AddComponent.png" title="Add Component Button" alt="Add Component Button" /> <![CDATA[
]]></p>
        <ol data-mc-continue="true">
            <li value="4">Click the<b class="UISelection"> Web Page</b> button. </li>
        </ol>
        <p>
            <img src="../Resources/Images/SE_WebPageComponentButton.png" title="Web Page Button" alt="Web Page Button" /> <![CDATA[
]]></p>
        <ol data-mc-continue="true">
            <li value="5">When the Web Page configuration page appears, add the <b class="UISelection">web page name</b> to the URL path. This completes the URL&#160;path name. For example, if your domain is <code>http://www.mycompany.com</code>, and your web page name is support, then the complete URL&#160;is <code>http://www.mycompany.com/support</code>. </li>
        </ol>
        <p>
            <img src="../Resources/Images/se/se-webpage-url.png" title="Web Page URL" alt="Web Page URL" />
        </p>
        <ol data-mc-continue="true">
            <li value="6"> 
In the <b class="UISelection">Name</b> field, enter a name for the web page component. This name displays under the web page button on the campaign configuration page. </li>
        </ol>
        <p>
            <img src="../Resources/Images/se/se-webpage-component-name.png" title="Web Page Component Name" alt="Web Page Component Name" />
        </p>
        <ol data-mc-continue="true">
            <li value="7">
Click the <b class="UISelection">Attack Type</b> dropdown and choose a social engineering attack method.</li>
        </ol>
        <p>
            <img src="../Resources/Images/se/se-webpage-attack.png" title="Attack Type" alt="Attack Type" />
        </p>
        <ol start="9">
            <li value="9">Click the <b>Next </b>button to continue to the Web Page Content window. 
</li>
            <li value="10">When the Web Page Content window appears, click the<b class="UISelection"> Clone Website</b> button.</li>
        </ol>
        <p>
            <img src="../Resources/Images/se/se-clone-button.png" title="Clone Button" alt="Clone Button" />
        </p>
        <ol start="11">
            <li value="11"> 
Enter the URL of the web page that you want to clone in the URL to clone field.</li>
        </ol>
        <p>
            <img src="../Resources/Images/se/se-clone-window.png" title="Clone Settings" alt="Clone Settings" />
        </p>
        <ol start="12">
            <li value="12">Choose any of the following options to customize the cloned web page: 
</li>
        </ol>
        <ul start="13">
            <li class="indentedList" value="13"><b>Strip Javascript</b> - Removes Javascript tags from the cloned HTML and prevents any scripts from running URL checking code or redirecting the human target to the real site. 
</li>
            <li class="indentedList" value="14"><b>Set referer</b> - Sets the HTTP referer header on the outgoing request for the cloned web page. Use this option if you want to use a page that checks referers or if you want to appear to the site’s administrator as a user that browsed to the website (e.g., http://www.company.com/home). 
</li>
            <li value="15"><b>Set user agent</b> - Sets the user agent header on the outgoing request for the cloned web page. Use this option if you want to get a targeted version of a website or if you want your request to appear to come from a normal browser. 
</li>
            <li value="16"><b>Resolve relative URLS </b>- Resolves any relative URLS to absolute URLs in the cloned HTML. This option is selected by default.</li>
        </ul>
        <ol start="13">
            <li value="13">Click the <b>Clone </b>button. <span class="VariablesProductName">Metasploit Pro</span> copies the HTML from the web page and displays it in the Content window.</li>
            <li value="14"> 
Click the <b>Save </b>button to save the web page component.</li>
        </ol>
        <p>&#160;</p>
    </body>
</html>